Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions
Interface IRestrictionManager

All Known Subinterfaces:
  IALRestrictionManager

All Known Implementing Classes:
  ALRestrictionManager

    public interface IRestrictionManager

The Restriction Manager Interface

Version:
  $Revision: 1.4 $
Author:
  Michael Ivanov

Method Summary
`boolean` | `checkAddRestrictions(ILayoutNode node, java.lang.String parentId, java.lang.String nextSiblingId)` Checks the necessary restrictions while adding a new node
`boolean` | `checkDeleteRestrictions(java.lang.String nodeId)` Checks the necessary restrictions while deleting a node.
`boolean` | `checkDepthRestrictions(java.lang.String nodeId, int depth)` Recursively checks the depth restrictions beginning with a given node.
`boolean` | `checkDepthRestrictions(java.lang.String nodeId, java.lang.String newParentId)` Recursively checks the depth restrictions beginning with a given node.
`boolean` | `checkMoveRestrictions(java.lang.String nodeId, java.lang.String newParentId, java.lang.String nextSiblingId)` Checks the necessary restrictions while moving a node.
`boolean` | `checkRestriction(java.lang.String nodeId, java.lang.String restrictionName, java.lang.String propertyValue)` Checks the local restriction specified by the parameters below.
`boolean` | `checkRestriction(java.lang.String nodeId, java.lang.String restrictionName, java.lang.String restrictionPath, java.lang.String propertyValue)` Checks the restriction specified by the parameters below.
`boolean` | `checkUpdateRestrictions(IUserLayoutNodeDescription nodeDescription)` Checks the necessary restrictions while updating a node.
`void` | `setUserLayout(IUserLayout layout)` Sets the user layout.

Method Detail

### setUserLayout

    void setUserLayout(IUserLayout layout)
                       throws PortalException

  Sets the user layout.

  Parameters:
    `layout` - a `IUserLayout` user layout to be checked
  Throws:
    `PortalException` - if an error occurs

### checkRestriction

    boolean checkRestriction(java.lang.String nodeId,
                             java.lang.String restrictionName,
                             java.lang.String restrictionPath,
                             java.lang.String propertyValue)
                             throws PortalException

  Checks the restriction specified by the parameters below.

  Parameters:
    `nodeId` - a `String` node ID
    `restrictionName` - a restriction name
    `restrictionPath` - a `String` restriction path
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkRestriction

    boolean checkRestriction(java.lang.String nodeId,
                             java.lang.String restrictionName,
                             java.lang.String propertyValue)
                             throws PortalException

  Checks the local restriction specified by the parameters below.

  Parameters:
    `nodeId` - a `String` node ID
    `restrictionName` - a restriction name
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkAddRestrictions

    boolean checkAddRestrictions(ILayoutNode node,
                                 java.lang.String parentId,
                                 java.lang.String nextSiblingId)
                                 throws PortalException

  Checks the necessary restrictions while adding a new node

  Parameters:
    `node` - a `ILayoutNode` a new node to be added
    `parentId` - a `String` parent node ID
    `nextSiblingId` - a `String` next sibling node ID
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkMoveRestrictions

    boolean checkMoveRestrictions(java.lang.String nodeId,
                                  java.lang.String newParentId,
                                  java.lang.String nextSiblingId)
                                  throws PortalException

  Checks the necessary restrictions while moving a node.

  Parameters:
    `nodeId` - a `String` node ID of a node to be moved
    `newParentId` - a `String` new parent node ID
    `nextSiblingId` - a `String` next sibling node ID
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkDeleteRestrictions

    boolean checkDeleteRestrictions(java.lang.String nodeId)
                                    throws PortalException

  Checks the necessary restrictions while deleting a node.

  Parameters:
    `nodeId` - a `String` node ID of a node to be deleted
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkDepthRestrictions

    boolean checkDepthRestrictions(java.lang.String nodeId,
                                   java.lang.String newParentId)
                                   throws PortalException

  Recursively checks the depth restrictions beginning with a given node.

  Parameters:
    `nodeId` - a `String` node ID
    `newParentId` - a `String` new parent node ID
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkDepthRestrictions

    boolean checkDepthRestrictions(java.lang.String nodeId,
                                   int depth)
                                   throws PortalException

  Recursively checks the depth restrictions beginning with a given node.

  Parameters:
    `nodeId` - a `String` node ID
    `depth` - a depth on which the node is going to be attached
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkUpdateRestrictions

    boolean checkUpdateRestrictions(IUserLayoutNodeDescription nodeDescription)
                                    throws PortalException

  Checks the necessary restrictions while updating a node.

  Parameters:
    `nodeDescription` - a `IUserLayoutNodeDescription` node description of a node to be updated
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD